Package com.ocient.jdbc

# Class XGConnection.XGTrustManager

java.lang.Object
javax.net.ssl.X509ExtendedTrustManager
com.ocient.jdbc.XGConnection.XGTrustManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

Enclosing class:
  `XGConnection`

public static class XGConnection.XGTrustManager extends X509ExtendedTrustManager

## Constructor Summary

Constructors
Constructor
Description
`XGTrustManager(XGConnection.Tls t)`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkClientTrusted(X509Certificate[] certificates, String s)`
`void`
`checkClientTrusted(X509Certificate[] certificates, String s, Socket socket)`
`void`
`checkClientTrusted(X509Certificate[] certificates, String s, SSLEngine sslEngine)`
`void`
`checkServerTrusted(X509Certificate[] certificates, String s)`
`void`
`checkServerTrusted(X509Certificate[] certificates, String s, Socket socket)`
`void`
`checkServerTrusted(X509Certificate[] certificates, String s, SSLEngine sslEngine)`
`protected final void`
`finalize()`
`X509Certificate[]`
`getAcceptedIssuers()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XGTrustManager

public XGTrustManager(XGConnection.Tls t) throws NoSuchAlgorithmException, KeyStoreException

Throws:
  `NoSuchAlgorithmException`
  `KeyStoreException`

## Method Details

### finalize

protected final void finalize() throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

### checkClientTrusted

public void checkClientTrusted(X509Certificate[] certificates, String s, SSLEngine sslEngine) throws CertificateException

Specified by:
  `checkClientTrusted` in class `X509ExtendedTrustManager`
Throws:
  `CertificateException`

### checkClientTrusted

public void checkClientTrusted(X509Certificate[] certificates, String s) throws CertificateException

Throws:
  `CertificateException`

### checkClientTrusted

public void checkClientTrusted(X509Certificate[] certificates, String s, Socket socket) throws CertificateException

Specified by:
  `checkClientTrusted` in class `X509ExtendedTrustManager`
Throws:
  `CertificateException`

### checkServerTrusted

public void checkServerTrusted(X509Certificate[] certificates, String s, SSLEngine sslEngine) throws CertificateException

Specified by:
  `checkServerTrusted` in class `X509ExtendedTrustManager`
Throws:
  `CertificateException`

### checkServerTrusted

public void checkServerTrusted(X509Certificate[] certificates, String s) throws CertificateException

Throws:
  `CertificateException`

### checkServerTrusted

public void checkServerTrusted(X509Certificate[] certificates, String s, Socket socket) throws CertificateException

Specified by:
  `checkServerTrusted` in class `X509ExtendedTrustManager`
Throws:
  `CertificateException`

### getAcceptedIssuers

public X509Certificate[] getAcceptedIssuers()